//******************************************************************
// SPECIFICATION FILE (player.h)
// This file gives the specification of a Player class that manages
// the playing of a solitaire game
//******************************************************************
#ifndef PLAYER_H
#define PLAYER_H

#include "cardpile.h"
#include "carddeck.h"

class Player
{
public:
    void PlayGame( /* in */  int   numberOfShuffles,
                   /* out */ bool& won              );
        // Precondition:
        //     numberOfShuffles is assigned
        // Postcondition:
        //     After deck has been shuffled numberOfShuffles times,
        //     one game of solitaire has been played
        //  && won == true, if the game was won
        //         == false, otherwise
private:
    CardDeck deck;
    CardPile onTable;
    CardPile discardPile;

    void TryRemove();
    void MoveFour();
    void MoveTwo();
};

#endif
